4 Replies Latest reply: May 9, 2011 9:44 AM by gimbal2 RSS

    EOL Dates for J2EE and J2SE

    849430
      Hi,

      For a company presentation, I need the EOL dates of the deprecated J2EE and J2SE versions.

      I have explored the website but could not find proper information.

      Can somebody assist me with this problem?

      Thanks!
        • 1. Re: EOL Dates for J2EE and J2SE
          tschodt
          846427 wrote:
          For a company presentation, I need the EOL dates of the deprecated J2EE and J2SE versions.

          I have explored the website but could not find proper information.

          Can somebody assist me with this problem?
          Yes.

          J2SE. Information about Java SE version EOL dates is readily available by using a search engine. Try it.


          J2EE. Not sure your question makes sense for J2EE.
          http://en.wikipedia.org/wiki/J2EE
          • 2. Re: EOL Dates for J2EE and J2SE
            849430
            Hi,

            Yes I already found for J2SE but still could not for J2EE.

            Thanks!
            • 3. Re: EOL Dates for J2EE and J2SE
              handat
              You would need to lookup all the products that implement a certain version of J2EE/JEE and list the EOL dates for each product implementing those.
              • 4. Re: EOL Dates for J2EE and J2SE
                gimbal2
                846427 wrote:
                Hi,

                For a company presentation, I need the EOL dates of the deprecated J2EE and J2SE versions.

                I have explored the website but could not find proper information.

                Can somebody assist me with this problem?

                Thanks!
                You want to lookup the EOL of the application server you want to use. J2EE 1.4 may be an old specification and not recommended to be used anymore, it is still supported by several vendors (for example JBoss EAP 4.2.3).

                In general terms it is ADVISED to use at least a JEE5 compliant server, but that may not always be possible if you have to work with legacy systems. So there is no real EOL for the J2EE/JEE specification versions.